clear all
close all
clc
format short eng
name="CERAS";
%% aileron reaction force
lb=.1;
maxDelta=23.5;
Matrix=dlmread("ceras.avl cH map.dat");
alphas=Matrix(2:end,1);
deltas=Matrix(1,2:end);
cH=Matrix(2:end,2:end);
clear Matrix
Sref=122.4;
cref=4.18;
% c2=.29*2.22;% CERAS .3*1.761; %PARSIFAL  
% c1=.25*1.480;% CERAS .3*1.555; %PARSIFAL %
% dy=(.96-.79)*17.04;%CERAS %(.97-.86)*13.9; %PARSIFAL
% ca=.5*(c1+c2);
% Sa=.5*dy*(c1+c2); %aileron Area
V=75; rho=1.225;
Aer=.5*rho*V^2*Sref*cref;
%% Hyd oil data
bulk=2.34421748e9; %SKYDROL 500B-4
rhoOIL=1000;
Pmin=10e3;
Pmax=350e5;
%% PID
GAP=-158;
GAI=5;
GAD=-11.5;
Isat=5;
PIDsat=270; %max applyable voltage
%% BLDC based on G-5-M4 by MOOG
TGM=1.01; %Nm/A constant gain
R=0.731; %OHM coil resistance
L=4.2e-3; %H of inductance
TMM=8.84; %Torque saturation
Kfem=60.7/1000/60*2*pi;
C=0.001;
tau=450/3200; %gear ratio for torque multiplier (user speed/motor speed)
J=8.43e-4+24.21e-3*tau^2; %kg*m^2 moment of inertia (only rotor for now)
DFT=.02*TMM;
SFT=1.5*DFT;
%% Pump data
CIL=4.5742e-6;
Cil=CIL/2/pi; %% m^3 displaced per radian
Leak=1e-12; % leak coefficient [m^3/(Pa s)]
Cap=CIL/bulk;
Pamb=101325; %ambient pressure
%% Hyd Jack data
MJ=0.233;
AJ=6.53e-4;
CJ=10;
MAX_X=lb*tand(maxDelta);
DFF=.04*Pmax*AJ;
SFF=1.5*DFF;