clear all
close all
clc
format short eng
name="Parsifal";
%% aileron reaction force
lb=.1;
maxDelta=23.5;
Matrix=dlmread("miniparsifal.avl cH map.dat");
alphas=Matrix(2:end,1);
deltas=Matrix(1,2:end);
cH=Matrix(2:end,2:end);
clear Matrix
cref=2.8781;
Sref=142.5; %aileron Area
V=75; rho=1.225;
Aer=.5*rho*V^2*Sref*cref;
%% Hyd oil data
bulk=2.2e9;
rhoOIL=1000;
Pmin=10e3;
Pmax=350e5;
%% PID
GAP=-230;
GAI=10;
GAD=-20;
Isat=2;
PIDsat=270; %max applyable voltage
%% BLDC based on H100-V4-030 by MOOG Inc.
TGM=1.48; %Nm/A constant gain
R=4.70; %OHM coil resistance
L=26.2e-3; %H of inductance
TMM=5.34; %Torque saturation
Kfem=94.2/1000/60*2*pi;
C=0.001;
tau=.15; %gear ratio for torque multiplier (user speed/motor speed)
J=3.4e-4+(12.5e-3)*tau^2; %kg*m^2 moment of inertia rotor + pump reducted
DFT=.02*TMM;
SFT=1.5*DFT;
%% Pump data
CIL=4.851017989543096e-06; %pump displacement [m^3]
Cil=CIL/2/pi; %% m^3 displaced per radian
Leak=1e-12; % leak coefficient [m^3/(Pa s)]
Cap=Cil/bulk;
Pamb=101325; %ambient pressure
%% Hyd Jack data
MJ=0.207;
AJ=3.4743e-4;
CJ=10;
MAX_X=lb*tand(maxDelta);
DFF=.04*Pmax*AJ;
SFF=1.5*DFF;