clear all 
close all
clc
format compact
format short eng
%this script to determine the max moment developed by the aileron
%% Air data
rho=1.225;
V=75;
%% geometric references
Sref=142.5; %PrP 122.4; %CERAS 
cref=2.8781; %PrP 4.18; %CERAS 
%% Hinge coefficient
%read cH map .dat file
Matrix=dlmread("miniparsifal.avl cH map.dat",',');
%Matrix=dlmread("ceras.avl cH map.dat",',');
cH_matrix=Matrix(2:end,2:end); %extraction of cH
%determination of greatest (in modulus) cH
top=max(max(cH_matrix));
bottom=min(min(cH_matrix));
cH=max([abs(top) abs(bottom)]);
%% Hinge moment
H=.5*rho*V*V*Sref*cref*cH;
%% OUTPUT
disp("Max hinge moment is "+int32(H)+" Nm")
disp("Air conditions are:")
disp("    Density  = "+rho+" kg/m^3")
disp("    Velocity = "+V+" m/s")
disp("    Ref. Area = "+Sref+" m^2")
disp("    Ref. Chord= "+cref+ " m") 